package com.mortals.xhx.common.code;

import java.util.LinkedHashMap;
import java.util.Map;

/**
* 已读要求(0. 学员进入学习项目详情即标记为已读)枚举类
*
* @author zxfei
*/
public enum ReadRequestEnum {
    学员进入学习项目详情即标记为已读(0, "学员进入学习项目详情即标记为已读");
    private Integer value;
    private String desc;

    ReadRequestEnum(Integer value, String desc) {
        this.value = value;
        this.desc = desc;
    }

    public Integer getValue() {
        return this.value;
    }

    public String getDesc() {
        return this.desc;
    }

    public static ReadRequestEnum getByValue(Integer value) {
        for (ReadRequestEnum readRequestEnum : ReadRequestEnum.values()) {
            if (readRequestEnum.getValue() == value) {
                return readRequestEnum;
            }
        }
        return null;
    }

    /**
    * 获取Map集合
    *
    * @param eItem 不包含项
    * @return
    */
    public static Map<String, String> getEnumMap(Integer... eItem) {
        Map<String, String> resultMap = new LinkedHashMap<>();
        for (ReadRequestEnum item : ReadRequestEnum.values()) {
            try {
                boolean hasE = false;
                for (Integer e : eItem) {
                    if (item.getValue() == e) {
                        hasE = true;
                        break;
                    }
                }
                if (!hasE) {
                    resultMap.put(item.getValue() + "", item.getDesc());
                }
            } catch (Exception ex) {

            }
        }
        return resultMap;
    }
}